## Name

gfs_pio_close — close a file in the Gfarm file system

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_pio_close(` | gf`)`; |

`GFS_File gf`;

## DESCRIPTION

`gfs_pio_close()` closes a file `gf`, so that it no longer refers to any file and may be reused.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_BAD_FILE_DESCRIPTOR`

  The file descripter specified by `gfp` is not a valid open file descriptor.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)